Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class RepeatHow

    java.lang.Object
      com.compoze.domino.RepeatHow

All Implemented Interfaces:
  java.io.Serializable

public class RepeatHow
extends java.lang.Object
implements java.io.Serializable

This class stores the values for a 'repeat how'.

See Also:
  Serialized Form

Field Summary
`static RepeatHow` | `FOR` This value represents a 'for' repeat how.
`static RepeatHow` | `UNTIL` This value represents a 'until' repeat how.
`static int` | `VALUE_FOR` This represents the 'for' value.
`static int` | `VALUE_UNTIL` This represents the 'until' value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static RepeatHow` | `get(int iValue)` Gets the repeat how by its value.
`static java.util.List` | `getList()` Gets the list of repeat how.
`int` | `getValue()` Gets the value of the repeat how.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VALUE_FOR

    public static final int VALUE_FOR

  This represents the 'for' value.

  See Also:
    Constant Field Values

### VALUE_UNTIL

    public static final int VALUE_UNTIL

  This represents the 'until' value.

  See Also:
    Constant Field Values

### FOR

    public static final RepeatHow FOR

  This value represents a 'for' repeat how.

### UNTIL

    public static final RepeatHow UNTIL

  This value represents a 'until' repeat how.

Method Detail

### getValue

    public int getValue()

  Gets the value of the repeat how.

  Returns:
    the value

### get

    public static RepeatHow get(int iValue)

  Gets the repeat how by its value.

  Parameters:
    `iValue` - the value to get by
  Returns:
    the matching repeat how or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of repeat how.

  Returns:
    the list of `RepeatHow`s (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The store value is used to determine equality, so that the language the name is represented in is not important.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same store value as the argument, `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.

  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.